hakyll-4.4.3.0: A static website compiler library

Safe Haskell | None

Hakyll.Core.Identifier

Description

An identifier is a type used to uniquely identify an item. An identifier is conceptually similar to a file path. Examples of identifiers are:

-     posts/foo.markdown

-     index

-     error/404

Synopsis

- data Identifier
- fromFilePath :: String -> Identifier
- toFilePath :: Identifier -> FilePath
- identifierVersion :: Identifier -> Maybe String
- setVersion :: Maybe String -> Identifier -> Identifier

# Documentation

data Identifier Source

Instances

Eq Identifier |
Ord Identifier |
Show Identifier |
Typeable Identifier |
IsString Identifier |
Binary Identifier |
NFData Identifier |

fromFilePath :: String -> Identifier Source

Parse an identifier from a string

toFilePath :: Identifier -> FilePath Source

Convert an identifier to a relative `FilePath`

identifierVersion :: Identifier -> Maybe String Source

setVersion :: Maybe String -> Identifier -> Identifier Source